#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		shortname	%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	xorg-libpciaccess
Version		:	0.18
Release		:	17.2.0.rel%{?dist}
Summary		:	PCI access library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/archive/individual/lib/

Source0		:	%{shortname}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	fontconfig-devel
BuildRequires	:	meson

Provides	:	libpciaccess
#-----------------------------------------------------------------------------
%description
libpciaccess is a library for portable PCI access routines across multiple
operating systems.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING README.md
%{_includedir}/pciaccess.h
%{_libdir}/%{shortname}.so*
%{_libdir}/pkgconfig/pciaccess.pc

#=============================================================================
%prep
%setup -q -n %{shortname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
	--buildtype=release				\
        --prefix=%{_prefix}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	_bld

meson							\
	compile						\
		-C _bld					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson install						\
	-C _bld						\
	--destdir=%{buildroot}				\


#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
